Page MenuHomePhabricator

Transcriptions are stored as English strings
Closed, ResolvedPublic

Description

e.g. on chatouiller (Q3486):

This just feels wrong when looking at the page.

Event Timeline

Ltrlg created this task.Jun 10 2018, 6:39 AM

You're right. But as Lingua Libre support way more languages than wikibase do, so it is not possible to set the correct language in all cases. I see three solutions:

  • hide with a small JS/CSS snippets the language (as a temporary fix)
  • set the correct language if possible, and for unsupported languages use mul (multilingual) (need a bit of development, but it's not very clean in my opinion);
  • change the datatype of this property from monolingual text to simple string, as the language is already explicitly defined in an other property (this is the one I prefer, but need to edit manually the DB).
0x010C triaged this task as Normal priority.Jun 10 2018, 2:22 PM
0x010C closed this task as Resolved.Jun 10 2018, 4:22 PM
0x010C claimed this task.

I finally changed the datatype, it should be better now.

Much better, thanks!

Vvjjkkii renamed this task from Transcriptions are stored as English strings to pbbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed 0x010C as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
CommunityTechBot renamed this task from pbbaaaaaaa to Transcriptions are stored as English strings.Jul 2 2018, 12:48 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to 0x010C.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)